Bug 141202 - Set "Ctrl+Alt+=" as default shortcut to uno:InsertObjectStarMath command
Summary: Set "Ctrl+Alt+=" as default shortcut to uno:InsertObjectStarMath command
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Rafael Lima
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2021-03-23 15:01 UTC by Rafael Lima
Modified: 2021-05-04 09:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposed patch (2.80 KB, text/plain)
2021-03-23 19:38 UTC, Rafael Lima
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Lima 2021-03-23 15:01:52 UTC
In office suites such as MS Office and OnlyOffice there is a shortcut to quickly insert mathematical formulas into text files, presentations, etc.

In LibreOffice there's no default shortcut for this, although LO offers a very comprehensive Math editor.

Hence, I propose to add "Alt+=" as the default shortcut for the UNO command uno:InsertObjectStarMath for all LO components (Writer, Impress/Draw and Calc). This is the same shortcut used in Microsoft Office and OnlyOffice.

The reason for this is that users coming from other office suites expect this shortcut to exist and adding "Alt+=" as the default shortcut to insert Formula objects will lower the gap for new LO users.
Comment 1 Rafael Lima 2021-03-23 19:38:40 UTC
Created attachment 170676 [details]
Proposed patch

I've just attached a proposed patch. For Impress/Draw the command actually is uno:InsertMath, whereas for Writer/Calc the command is uno:InsertObjectStarMath.
Comment 2 Roman Kuznetsov 2021-03-23 19:50:43 UTC
Alt+= inserts a SUM in Calc! Don't touch the shortcut please!
Comment 3 Rafael Lima 2021-03-23 20:16:33 UTC
(In reply to Roman Kuznetsov from comment #2)
> Alt+= inserts a SUM in Calc! Don't touch the shortcut please!

Hi Roman! Indeed you're right. I'll not add the shortcut to Calc then.

However, when you go to Tools > Customize > Keyboard in Calc, the "Alt+=" shortcut is available (i.e. there's nothing assigned to it). Shouldn't it be showing something there?

I tested it in LO 7.1.1.2 and 7.2 alpha and the "Alt+=" shortcut in Calc does add the SUM function, but nothing is showing in the Customize dialog.
Comment 4 Heiko Tietze 2021-03-24 12:58:35 UTC
How about ctrl+alt+= (haventr check availability). Alt+key is usually a mnemonic rather than a shortcut.
Comment 5 Rafael Lima 2021-03-24 14:10:35 UTC
(In reply to Heiko Tietze from comment #4)
> How about ctrl+alt+= (haventr check availability). Alt+key is usually a
> mnemonic rather than a shortcut.

I think this is a good idea, because it also solves the issue raised by Roman.

I'll push the proposed patch to Gerrit using the shortcut Ctrl+Alt+=

BTW, the shortcut is available in all components because it wasn't even being listed as a possible shortcut, so I added it to acccfg.cxx
Comment 6 Heiko Tietze 2021-03-24 15:36:29 UTC
Minor issue is that non-English keyboards require modifier key to access the equal sign. On the German layout it's shift+0. But this is another topic (and could be handled also by the localizing people with a lang= setting).
Comment 7 Commit Notification 2021-05-04 09:20:45 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7b7d280912f90149ba5512c13b9132cf524974e4

tdf#141202 Set "Ctrl+Alt+=" as the default shortcut to insert Math objects

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.